### Function

# Ggit DiffSimilarityMetricBufferSignatureCallback

#### Declaration

    gint
    (* GgitDiffSimilarityMetricBufferSignatureCallback) (
      GgitDiffFile* file,
      const gchar* buf,
      gsize buflen,
      gpointer* out,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`file`

  Type: `GgitDiffFile`

  No description available.

  The data is owned by the caller of the function.

`buf`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`buflen`

  Type: `gsize`

  No description available.

`out`

  Type: `gpointer*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gint`

No description available.